import React, { useState, useEffect } from 'react';
import { tsv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/sophburke/94a3c3f9bcb3186cf1eb43f4044dbe03/raw/7e660f27071241878841ca3f03bde3fec3e443ce/hx-mitx-course-person-dataset2013-10k.csv'

export const viewData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { countries, land } = topology.objects;
      setData({
        land: feature(topology, land),
        interiors: mesh(topology, countries, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
